=head1 NAME

dpt-config -- dpt configuration

=head1 DESCRIPTION

L<dpt(1)> configuration lives in plain text files using POSIX shell syntax. The
files are sourced by the tools, not parsed.

=head1 LOCATION

Configuration files are looked for in the following locations, in order, and
every found file is sourced by the script, later files possibly overriding the
previous ones.

=over

=item F<~/.dpt.conf>

=item F<~/.config/dpt.conf>

=back

=head1 TIPS & TRICKS

=head2 Run L<dpt(1)> from git

When bugs in L<dpt(1)> are fixed or new features are implemented in git but
not yet available in the uploaded version, you may want to run dpt and its
sub-scripts from your local clone of the B<pkg-perl-tools> repository.
This can be done by setting the following variables in F<.dpt.conf>:

    # needed anyway, adjust path
    DPT_PACKAGES=~/src/pkg-perl/packages
    # specific for running from git
    DPT__SCRIPTS=$DPT_PACKAGES/pkg-perl-tools/scripts
    export PERL5LIB=$DPT_PACKAGES/pkg-perl-tools/lib

=head2 Storing tokens

If you keep your configuration files in a (potentially) public git
repository, you might be wary of sticking tokens like I<DPT_GITHUB_OAUTH> or
I<DPT_SALSA_PRIVATE_TOKEN> in your F<.dpt.conf>. As F<.dpt.conf> is just a
shell fragment which gets sourced, you can put those variables in a
different file (and don't commit this one). E.g.

    [ ! -e ~/.dpt.conf.$(hostname) ] || source ~/.dpt.conf.$(hostname)

=head1 COPYRIGHT & LICENSE

Copyright 2013 Damyan Ivanov L<dmn@debian.org>

Copyright 2018 gregor herrmann L<gregoa@debian.org>

This program is free software; you can redistribute it and/or modify it
under the same terms as Perl itself.

=cut
